	<?php
	/**
	* Created by PhpStorm.
	* User: ahmad
	* Date: 20/08/2019
	* Time: 11:48 AM
	*/

	require_once("../connection.php");
	
					$key=mysqli_real_escape_string($connect, $_GET['key']);
					$start_date=mysqli_real_escape_string($connect, $_GET['start_date']);
					$finish_date=mysqli_real_escape_string($connect, $_GET['finish_date']);

	$getusers	= mysqli_query($connect,"SELECT * FROM users WHERE id_session='$key'");
	$u	   		= mysqli_fetch_array($getusers);
	$count   	= mysqli_num_rows($getusers);
	
	
	$masterakun = mysqli_query($connect,"SELECT * FROM users WHERE phone_number='$u[master]'");
	$m=mysqli_fetch_array($masterakun);

	if ($count > 0){
	$query = "SELECT * FROM attendance WHERE staff='$u[phone_number]' AND name_attendance='login' AND date>='$start_date' and date<='$finish_date'";
	$hasil = mysqli_query($connect,$query);


	if(mysqli_num_rows($hasil) > 0 ){
  $response = array(
    'status' 	=> 'true',
    'errCode' 	=> '01',
	'msg' 		=> 'Success'
   );
  $response["data"] = array();
  while($x = mysqli_fetch_array($hasil)){
	  if($x['device']==''){
		  $device=0;
	  }else{
		  $device=$x['device'];
	  }
	  
	$status="hadir";
	  
    $h['id_attendance'] 	= $x["id_attendance"];
    $h['staff'] = $x["staff"];
    $h['date'] = $x["date"];
    $h['hour'] = $x["hour"];
    $h['location'] = "$x[latitude], $x[longitude]";
    $h['device'] = $device;
    $h['status'] = $status;
    array_push($response["data"], $h);
  }
  echo json_encode($response);
	}else {
  $response = array(
    'status' 	=> 'true',
    'errCode' 	=> '02',
	'msg' 		=> 'no data'
   );
  echo json_encode($response);
	}

	}else{
	
	
	$json = array(
    'status' 	=> 'true',
    'errCode' 	=> '00',
	'msg' 		=> 'User Not Found'
	);

    echo json_encode($json);	
	}
	?>